Get Meetings
/unified/conversational-intelligence/meetings/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for a meeting
5 supported
List of attendees
4 supported
Email of the attendee
The unique identifier for an attendee
Whether the attendee is the host of the meeting
Name of the attendee
Type of the attendee. Can be either user or guest.
URL of the audio recording of the meeting
4 supported
The unique identifier of the meeting in Google or Outlook Calendar
2 supported
Creation time of the meeting
4 supported
Duration of the meeting in seconds
5 supported
End time of the meeting in ISO 8601 format
3 supported
URL of the meeting
1 supported
Raw data returned from the remote API call.
Start time of the meeting in ISO 8601 format
4 supported
Status of the meeting
4 supported
Title of the meeting
5 supported
List of topics discussed in the meeting
2 supported
List of sentences in the transcript of the meeting
4 supported
The end of the sentence in the number of seconds from the start of the meeting
The raw text of the sentence
The unique identifier for a speaker
The speaker of the sentence
The type of the speaker. Can be either user or guest.
The start of the sentence in the number of seconds from the start of the meeting
The text of the sentence
Type of the meeting
5 supported
Last updated time of the meeting
3 supported
URL of the video recording of the meeting
3 supported
curl -X GET 'https://api.truto.one/unified/conversational-intelligence/meetings/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/conversational-intelligence/meetings/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/conversational-intelligence/meetings/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'conversational-intelligence',
'meetings',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"conversational-intelligence",
"meetings",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())